Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision da6e70fffedcafb3a31e906155eed21199a71b44)
+++ chapter01/changelog.xml	(revision 38311c3ea348d1021b1192139e3ca952b7a9e430)
@@ -41,4 +41,42 @@
     -->
     <listitem>
+      <para>2022-12-01</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to iana-etc-20221122. Addresses
+          <ulink url="&lfs-ticket-root;5006">#5006</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to xz-5.2.9. Fixes
+          <ulink url="&lfs-ticket-root;5174">#5174</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to tzdata-2022g. Fixes
+          <ulink url="&lfs-ticket-root;5172">#5172</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to texinfo-7.0.1. Fixes
+          <ulink url="&lfs-ticket-root;5173">#5173</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to tcl-8.6.13. Fixes
+          <ulink url="&lfs-ticket-root;5170">#5170</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to meson-0.64.1. Fixes
+          <ulink url="&lfs-ticket-root;5169">#5169</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-6.0.10. Fixes
+          <ulink url="&lfs-ticket-root;5171">#5171</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gawk-5.2.1. Fixes
+          <ulink url="&lfs-ticket-root;5168">#5168</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2022-11-22</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision da6e70fffedcafb3a31e906155eed21199a71b44)
+++ chapter01/whatsnew.xml	(revision 38311c3ea348d1021b1192139e3ca952b7a9e430)
@@ -248,7 +248,7 @@
       <para>Tar-&tar-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Tcl-&tcl-version;</para>
-    </listitem>-->
+    </listitem>
    <listitem>
       <para>Texinfo-&texinfo-version;</para>
Index: chapter08/gawk.xml
===================================================================
--- chapter08/gawk.xml	(revision da6e70fffedcafb3a31e906155eed21199a71b44)
+++ chapter08/gawk.xml	(revision 38311c3ea348d1021b1192139e3ca952b7a9e430)
@@ -44,8 +44,4 @@
 
 <screen><userinput remap="pre">sed -i 's/extras//' Makefile.in</userinput></screen>
-
-    <para>Now fix a programming error identified upstream:</para>
-
-<screen><userinput remap="pre">sed -i '241i UPREF(m);' interpret.h</userinput></screen>
 
     <para>Prepare Gawk for compilation:</para>
Index: chapter08/tcl.xml
===================================================================
--- chapter08/tcl.xml	(revision da6e70fffedcafb3a31e906155eed21199a71b44)
+++ chapter08/tcl.xml	(revision 38311c3ea348d1021b1192139e3ca952b7a9e430)
@@ -4,6 +4,6 @@
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
-  <!ENTITY tdbc-ver          "1.1.3">
-  <!ENTITY itcl-ver          "4.2.2">
+  <!ENTITY tdbc-ver          "1.1.5">
+  <!ENTITY itcl-ver          "4.2.3">
 ]>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision da6e70fffedcafb3a31e906155eed21199a71b44)
+++ packages.ent	(revision 38311c3ea348d1021b1192139e3ca952b7a9e430)
@@ -208,8 +208,8 @@
 <!ENTITY flex-fin-sbu "0.4 SBU">
 
-<!ENTITY gawk-version "5.2.0">
-<!ENTITY gawk-size "3,307 KB">
+<!ENTITY gawk-version "5.2.1">
+<!ENTITY gawk-size "3,332 KB">
 <!ENTITY gawk-url "&gnu;gawk/gawk-&gawk-version;.tar.xz">
-<!ENTITY gawk-md5 "2f724d925873fc82f5e7b1d605ba9a42">
+<!ENTITY gawk-md5 "02956bc5d117a7437bb4f7039f23b964">
 <!ENTITY gawk-home "&gnu-software;gawk/">
 <!ENTITY gawk-tmp-du "45 MB">
@@ -318,8 +318,8 @@
 <!ENTITY gzip-fin-sbu "0.3 SBU">
 
-<!ENTITY iana-etc-version "20221025">
-<!ENTITY iana-etc-size "584 KB">
+<!ENTITY iana-etc-version "20221122">
+<!ENTITY iana-etc-size "585 KB">
 <!ENTITY iana-etc-url "https://github.com/Mic92/iana-etc/releases/download/&iana-etc-version;/iana-etc-&iana-etc-version;.tar.gz">
-<!ENTITY iana-etc-md5 "feeb662fd7875d94767fd5aed5ae21d7">
+<!ENTITY iana-etc-md5 "2d4ea18372691d8c6ffd009a766e3380">
 <!ENTITY iana-etc-home "https://www.iana.org/protocols">
 <!ENTITY iana-etc-fin-du "4.8 MB">
@@ -425,10 +425,10 @@
 <!ENTITY linux-major-version "6">
 <!ENTITY linux-minor-version "0">
-<!ENTITY linux-patch-version "9">
+<!ENTITY linux-patch-version "10">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "130,776 KB">
+<!ENTITY linux-size "130,775 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "3de364bdbacd2115950cc3dd94157ab6">
+<!ENTITY linux-md5 "dede690733903e1ea5290010bb6e37c2">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 5.13.4 / gcc-11.1.0 on x86_64 : minimum is
@@ -488,8 +488,8 @@
 <!ENTITY markupsafe-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY meson-version "0.64.0">
-<!ENTITY meson-size "2,042 KB">
+<!ENTITY meson-version "0.64.1">
+<!ENTITY meson-size "2,041 KB">
 <!ENTITY meson-url "&github;/mesonbuild/meson/releases/download/&meson-version;/meson-&meson-version;.tar.gz">
-<!ENTITY meson-md5 "63a3d83206e7e277fce4b90e8ad8003a">
+<!ENTITY meson-md5 "9f260adfcbc66ed2e15047c6eb98e503">
 <!ENTITY meson-home "https://mesonbuild.com">
 <!ENTITY meson-fin-du "38 MB">
@@ -673,20 +673,20 @@
 <!ENTITY tar-fin-sbu "1.7 SBU">
 
-<!ENTITY tcl-version "8.6.12">
+<!ENTITY tcl-version "8.6.13">
 <!ENTITY tcl-major-version "8.6">
-<!ENTITY tcl-size "10,112 KB">
+<!ENTITY tcl-size "10,581 KB">
 <!ENTITY tcl-url "https://downloads.sourceforge.net/tcl/tcl&tcl-version;-src.tar.gz">
-<!ENTITY tcl-md5 "87ea890821d2221f2ab5157bc5eb885f">
+<!ENTITY tcl-md5 "0e4358aade2f5db8a8b6f2f6d9481ec2">
 <!ENTITY tcl-home "http://tcl.sourceforge.net/">
 <!ENTITY tcl-docs-url "https://downloads.sourceforge.net/tcl/tcl&tcl-version;-html.tar.gz">
-<!ENTITY tcl-docs-md5 "a0d1a5b60bbb68f2f0bd3066a19c527a">
-<!ENTITY tcl-docs-size "1,176 KB">
+<!ENTITY tcl-docs-md5 "4452f2f6d557f5598cca17b786d6eb68">
+<!ENTITY tcl-docs-size "1,165 KB">
 <!ENTITY tcl-tmp-du "88 MB">
 <!ENTITY tcl-tmp-sbu "3.2 SBU">
 
-<!ENTITY texinfo-version "7.0">
-<!ENTITY texinfo-size "4,786 KB">
+<!ENTITY texinfo-version "7.0.1">
+<!ENTITY texinfo-size "4,776 KB">
 <!ENTITY texinfo-url "&gnu;texinfo/texinfo-&texinfo-version;.tar.xz">
-<!ENTITY texinfo-md5 "c9bda68c809e3afe67f1fbcd7c3d9fd3">
+<!ENTITY texinfo-md5 "545e6fdb23f5c7923c057187aa19f9f4">
 <!ENTITY texinfo-home "&gnu-software;texinfo/">
 <!ENTITY texinfo-tmp-du "113 MB">
@@ -695,8 +695,8 @@
 <!ENTITY texinfo-fin-sbu "0.6 SBU">
 
-<!ENTITY tzdata-version "2022f">
-<!ENTITY tzdata-size "427 KB">
+<!ENTITY tzdata-version "2022g">
+<!ENTITY tzdata-size "430 KB">
 <!ENTITY tzdata-url "https://www.iana.org/time-zones/repository/releases/tzdata&tzdata-version;.tar.gz">
-<!ENTITY tzdata-md5 "7dbb997b73a0504b61a83a85988d7771">
+<!ENTITY tzdata-md5 "884250fd2a8a55f6322900ad4ab94d7b">
 <!ENTITY tzdata-home "https://www.iana.org/time-zones">
 
@@ -745,8 +745,8 @@
 <!ENTITY xml-parser-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY xz-version "5.2.8">
-<!ENTITY xz-size "1,260 KB">
+<!ENTITY xz-version "5.2.9">
+<!ENTITY xz-size "1,261 KB">
 <!ENTITY xz-url "https://tukaani.org/xz/xz-&xz-version;.tar.xz">
-<!ENTITY xz-md5 "7cfa6136d984083e7d4da12c8fb083ea">
+<!ENTITY xz-md5 "115d93141a38801983572f816c6dd68a">
 <!ENTITY xz-home "https://tukaani.org/xz">
 <!ENTITY xz-tmp-du "16 MB">
